Page MenuHomePhabricator

Deploy TemplateStyles to zhwiki on 2018-07-19
Closed, ResolvedPublic

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
Resolved Jdlrobson
DuplicateNone
DuplicateNone
OpenNone
OpenNone
StalledNone
InvalidNone
OpenNone
OpenNone
ResolvedTheDJ
ResolvedTheDJ
InvalidNone
OpenNone
ResolvedTheDJ
OpenNone
Resolved Jdlrobson
Open Jdlrobson
Open Jdlrobson
ResolvedTgr
ResolvedTgr

Event Timeline

Liuxinyu970226 triaged this task as Normal priority.
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptMar 6 2018, 3:39 PM
Liuxinyu970226 raised the priority of this task from Normal to Needs Triage.Mar 6 2018, 3:39 PM
Liuxinyu970226 removed Tgr as the assignee of this task.
Liuxinyu970226 moved this task from Backlog to Site configuration on the Chinese-Sites board.
Liuxinyu970226 added a subscriber: Tgr.

Can I work on this?

Can I work on this?

feel free?!

Zoranzoki21 moved this task from Up next to Doing on the TemplateStyles board.

Can I work on this?

feel free?!

Yes. #Workingon

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMar 6 2018, 3:44 PM

Change 416708 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Deploy TemplateStyles to zhwiki

https://gerrit.wikimedia.org/r/416708

This will be deployed tommorrow for Morning SWAT.

Deskana added a subscriber: Deskana.Mar 6 2018, 7:10 PM

@Zoranzoki21 Please exercise some care. Right now I am the product owner for TemplateStyles, which means I have a duty to make sure everything goes okay. You scheduled a deployment within 30 minutes of this task being filed, which makes it very difficult for me to do that job. In this case, I was fortunate to have checked the workboard in time to notice. In future, please take a moment to consider if your haste may negatively impact others.

Deskana triaged this task as Normal priority.Mar 6 2018, 7:15 PM

TemplateStyles has had initial testing done on the Swedish Wikipedia, where a few small bugs were found and fixed, and the extension is now being used. I'm happy to move along with deploying TemplateStyles to the Chinese Wikipedia so they can help beta test the extension. Thank you, Chinese Wikipedia users!

Tgr changed the task status from Open to Stalled.Mar 6 2018, 7:40 PM

Blocked on Tidy -> RemexHTML switch, see T133410#4009008.

Good catch! Thank you @Tgr

Tgr moved this task from Doing to Up next on the TemplateStyles board.Mar 13 2018, 8:38 PM

@Tgr Is zhwiki currently eligible to enable TemplateStyles extension?

Tgr added a comment.Jul 10 2018, 2:00 PM

@Tgr Is zhwiki currently eligible to enable TemplateStyles extension?

See T197603#4297301.

@Tgr Is zhwiki currently eligible to enable TemplateStyles extension?

See T197603#4297301.

Does the page rendering issue affect this deployment? zhwiki still contains a lot of lint errors.

Anomie added a subscriber: Anomie.Jul 10 2018, 2:27 PM

Remaining lint errors shouldn't be a problem. The wait for Remex was because wikitext like[1]

Lorem ipsum dolor sit amet, consectetur adipiscing elit,<templatestyles src="foo.css"/> sed do eiusmod tempor incididunt.

would incorrectly render like this with Raggett Tidy:

<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit,</p>
<style>...</style>
<p>sed do eiusmod tempor incididunt.</p>

Note the paragraph is broken at the <style> tag.

What we want is what Remex will produce:

<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit,<style>...</style> sed do eiusmod tempor incididunt.</p>

[1]: This is a bit simplified. In practice the wikitext would be more like elit,{{citation needed}} sed do eiusmod, and the <templatestyles/> would be inside the transcluded template. The misparsed end result is the same.

Change 446586 had a related patch set uploaded (by Gergő Tisza; owner: Zoranzoki21):
[operations/mediawiki-config@master] Deploy TemplateStyles to frwiki and zhwiki

https://gerrit.wikimedia.org/r/446586

Deskana moved this task from Up next to Doing on the TemplateStyles board.Jul 18 2018, 2:12 PM

Change 416708 abandoned by Zoranzoki21:
Deploy TemplateStyles to frwiki and zhwiki

Reason:
Abandoning as per T199909

https://gerrit.wikimedia.org/r/416708

Change 416708 restored by Gergő Tisza:
Deploy TemplateStyles to frwiki and zhwiki

https://gerrit.wikimedia.org/r/416708

Change 416708 abandoned by Gergő Tisza:
Deploy TemplateStyles to frwiki and zhwiki

Reason:
looks like gerrit created a new version when I rebased this: https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /446586

https://gerrit.wikimedia.org/r/416708

Deskana renamed this task from Deploy TemplateStyles to zhwiki to Deploy TemplateStyles to zhwiki on 2018-07-19.Jul 19 2018, 9:42 AM
Deskana changed the task status from Stalled to Open.
Deskana awarded a token.
Deskana reassigned this task from Zoranzoki21 to Tgr.Jul 19 2018, 9:44 AM

Per the deployments calendar, @Tgr is handling this deployment.

Change 446586 merged by Gergő Tisza:
[operations/mediawiki-config@master] Deploy TemplateStyles to frwiki and zhwiki

https://gerrit.wikimedia.org/r/446586

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-07-19T11:18:43Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: enable TemplateStyles on enwiki, frwiki, zhwiki T197603 T191452 T189022 (duration: 00m 55s)

Deskana closed this task as Resolved.Jul 19 2018, 11:32 AM

Success! An announcement on the wiki is pending.

Success! An announcement on the wiki is pending.

I already announce it in our pump.

Deskana moved this task from Doing to Done on the TemplateStyles board.Jul 19 2018, 11:37 AM